org.eclipse.gef.dot.internal.language.formatting

## Class DotStyleFormatter

- java.lang.Object
- - org.eclipse.xtext.formatting.impl.AbstractFormatter
  - - org.eclipse.xtext.formatting.impl.BaseFormatter
    - - org.eclipse.xtext.formatting.impl.AbstractDeclarativeFormatter
      - - org.eclipse.gef.dot.internal.language.formatting.DotStyleFormatter

All Implemented Interfaces:
  org.eclipse.xtext.formatting.IFormatter, org.eclipse.xtext.formatting.IFormatterExtension

    public class DotStyleFormatter
    extends org.eclipse.xtext.formatting.impl.AbstractDeclarativeFormatter

This class contains custom formatting declarations.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.xtext.formatting.impl.AbstractDeclarativeFormatter

`org.eclipse.xtext.formatting.impl.AbstractDeclarativeFormatter.ConfigStore`

### Field Summary

### Fields inherited from class org.eclipse.xtext.formatting.impl.BaseFormatter

`grammar`

### Constructor Summary

Constructors
Constructor and Description
`DotStyleFormatter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `configureFormatting(org.eclipse.xtext.formatting.impl.FormattingConfig c)`

### Methods inherited from class org.eclipse.xtext.formatting.impl.AbstractDeclarativeFormatter

`createFormatterStream, createFormatterStream, createFormattingConfig, createMatcher, getConfig, getGrammarAccess, getHiddenTokenHelper, getIndentInfo, getLineSeparatorInfo, getMatcherProvider, saveDebugGraphvizDiagram, setGrammarAccess`

### Methods inherited from class org.eclipse.xtext.formatting.impl.BaseFormatter

`getWSRule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotStyleFormatter

    public DotStyleFormatter()

### Method Detail

#### configureFormatting

    protected void configureFormatting(org.eclipse.xtext.formatting.impl.FormattingConfig c)

Specified by:
  `configureFormatting` in class `org.eclipse.xtext.formatting.impl.AbstractDeclarativeFormatter`